multispati.rtest {ade4} | R Documentation

## Multivariate spatial autocorrelation test

### Description

This function performs a multivariate autocorrelation test.

### Usage

    multispati.rtest(dudi, listw, nrepet = 99, ...)

### Arguments

`dudi` | an object of class `dudi` for the duality diagram analysis
`listw` | an object of class `listw` for the spatial dependence of data observations
`nrepet` | the number of permutations
`...` | further arguments passed to or from other methods

### Details

We note X the data frame with the variables, Q the column weight matrix and D the row weight matrix associated to the duality diagram dudi. We note L the neighbouring weights matrix associated to listw. This function performs a Monte-Carlo Test on the multivariate spatial autocorrelation index :

r = t(X)DLXQ / t(X)DXQ

### Value

Returns an object of class `randtest` (randomization tests).

### Author(s)

Daniel Chessel
Sébastien Ollier sebastien.ollier@u-psud.fr

### References

Smouse, P. E. and Peakall, R. (1999) Spatial autocorrelation analysis of individual multiallele and multilocus genetic structure. Heredity, 82, 561–573.

### See Also

`dudi`,`mat2listw`

### Examples

    if (requireNamespace("spdep", quietly = TRUE)) {
        data(mafragh)
        maf.listw <- spdep::nb2listw(neig2nb(mafragh$neig))
        maf.pca <- dudi.pca(mafragh$env, scannf = FALSE)
        multispati.rtest(maf.pca, maf.listw)
        maf.pca.ms <- multispati(maf.pca, maf.listw, scannf = FALSE)
        plot(maf.pca.ms)
    }

[Package ade4 version 1.7-13 Index]